petsc-3.4.2 2013-07-02

# DMShellCreate

Creates a shell DM object, used to manage user-defined problem data

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode  DMShellCreate(MPI_Comm comm,DM *dm)

Collective on MPI_Comm

### Input Parameter

comm -the processors that will share the global vector

### Output Parameters

shell -the shell DM

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateLocalVector()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages